<?php
/**
 * 'Band' template to display the content
 *
 * Used for index/archive/search.
 *
 * @package LAW OFFICE
 * @since LAW OFFICE 1.71.0
 */

$law_office_template_args = get_query_var( 'law_office_template_args' );

$law_office_columns       = 1;

$law_office_expanded      = ! law_office_sidebar_present() && law_office_get_theme_option( 'expand_content' ) == 'expand';

$law_office_post_format   = get_post_format();
$law_office_post_format   = empty( $law_office_post_format ) ? 'standard' : str_replace( 'post-format-', '', $law_office_post_format );

if ( is_array( $law_office_template_args ) ) {
	$law_office_columns    = empty( $law_office_template_args['columns'] ) ? 1 : max( 1, $law_office_template_args['columns'] );
	$law_office_blog_style = array( $law_office_template_args['type'], $law_office_columns );
	if ( ! empty( $law_office_template_args['slider'] ) ) {
		?><div class="slider-slide swiper-slide">
		<?php
	} elseif ( $law_office_columns > 1 ) {
	    $law_office_columns_class = law_office_get_column_class( 1, $law_office_columns, ! empty( $law_office_template_args['columns_tablet']) ? $law_office_template_args['columns_tablet'] : '', ! empty($law_office_template_args['columns_mobile']) ? $law_office_template_args['columns_mobile'] : '' );
				?><div class="<?php echo esc_attr( $law_office_columns_class ); ?>"><?php
	}
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class( 'post_item post_item_container post_layout_band post_format_' . esc_attr( $law_office_post_format ) );
	law_office_add_blog_animation( $law_office_template_args );
	?>
>
	<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	// Featured image
	$law_office_hover      = ! empty( $law_office_template_args['hover'] ) && ! law_office_is_inherit( $law_office_template_args['hover'] )
							? $law_office_template_args['hover']
							: law_office_get_theme_option( 'image_hover' );
	$law_office_components = ! empty( $law_office_template_args['meta_parts'] )
							? ( is_array( $law_office_template_args['meta_parts'] )
								? $law_office_template_args['meta_parts']
								: array_map( 'trim', explode( ',', $law_office_template_args['meta_parts'] ) )
								)
							: law_office_array_get_keys_by_value( law_office_get_theme_option( 'meta_parts' ) );
	law_office_show_post_featured( apply_filters( 'law_office_filter_args_featured',
		array(
			'no_links'   => ! empty( $law_office_template_args['no_links'] ),
			'hover'      => $law_office_hover,
			'meta_parts' => $law_office_components,
			'thumb_bg'   => true,
			'thumb_ratio'   => '1:1',
			'thumb_size' => ! empty( $law_office_template_args['thumb_size'] )
								? $law_office_template_args['thumb_size']
								: law_office_get_thumb_size( 
								in_array( $law_office_post_format, array( 'gallery', 'audio', 'video' ) )
									? ( strpos( law_office_get_theme_option( 'body_style' ), 'full' ) !== false
										? 'full'
										: ( $law_office_expanded 
											? 'big' 
											: 'medium-square'
											)
										)
									: 'masonry-big'
								)
		),
		'content-band',
		$law_office_template_args
	) );

	?><div class="post_content_wrap"><?php

		// Title and post meta
		$law_office_show_title = get_the_title() != '';
		$law_office_show_meta  = count( $law_office_components ) > 0 && ! in_array( $law_office_hover, array( 'border', 'pull', 'slide', 'fade', 'info' ) );
		if ( $law_office_show_title ) {
			?>
			<div class="post_header entry-header">
				<?php
				// Categories
				if ( apply_filters( 'law_office_filter_show_blog_categories', $law_office_show_meta && in_array( 'categories', $law_office_components ), array( 'categories' ), 'band' ) ) {
					do_action( 'law_office_action_before_post_category' );
					?>
					<div class="post_category">
						<?php
						law_office_show_post_meta( apply_filters(
															'law_office_filter_post_meta_args',
															array(
																'components' => 'categories',
																'seo'        => false,
																'echo'       => true,
																'cat_sep'    => false,
																),
															'hover_' . $law_office_hover, 1
															)
											);
						?>
					</div>
					<?php
					$law_office_components = law_office_array_delete_by_value( $law_office_components, 'categories' );
					do_action( 'law_office_action_after_post_category' );
				}
				// Post title
				if ( apply_filters( 'law_office_filter_show_blog_title', true, 'band' ) ) {
					do_action( 'law_office_action_before_post_title' );
					if ( empty( $law_office_template_args['no_links'] ) ) {
						the_title( sprintf( '<h4 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h4>' );
					} else {
						the_title( '<h4 class="post_title entry-title">', '</h4>' );
					}
					do_action( 'law_office_action_after_post_title' );
				}
				?>
			</div><!-- .post_header -->
			<?php
		}

		// Post content
		if ( ! isset( $law_office_template_args['excerpt_length'] ) && ! in_array( $law_office_post_format, array( 'gallery', 'audio', 'video' ) ) ) {
			$law_office_template_args['excerpt_length'] = 13;
		}
		if ( apply_filters( 'law_office_filter_show_blog_excerpt', empty( $law_office_template_args['hide_excerpt'] ) && law_office_get_theme_option( 'excerpt_length' ) > 0, 'band' ) ) {
			?>
			<div class="post_content entry-content">
				<?php
				// Post content area
				law_office_show_post_content( $law_office_template_args, '<div class="post_content_inner">', '</div>' );
				?>
			</div><!-- .entry-content -->
			<?php
		}
		// Post meta
		if ( apply_filters( 'law_office_filter_show_blog_meta', $law_office_show_meta, $law_office_components, 'band' ) ) {
			if ( count( $law_office_components ) > 0 ) {
				do_action( 'law_office_action_before_post_meta' );
				law_office_show_post_meta(
					apply_filters(
						'law_office_filter_post_meta_args', array(
							'components' => join( ',', $law_office_components ),
							'seo'        => false,
							'echo'       => true,
						), 'band', 1
					)
				);
				do_action( 'law_office_action_after_post_meta' );
			}
		}
		// More button
		if ( apply_filters( 'law_office_filter_show_blog_readmore', ! $law_office_show_title || ! empty( $law_office_template_args['more_button'] ), 'band' ) ) {
			if ( empty( $law_office_template_args['no_links'] ) ) {
				do_action( 'law_office_action_before_post_readmore' );
				law_office_show_post_more_link( $law_office_template_args, '<p>', '</p>' );
				do_action( 'law_office_action_after_post_readmore' );
			}
		}
		?>
	</div>
</article>
<?php

if ( is_array( $law_office_template_args ) ) {
	if ( ! empty( $law_office_template_args['slider'] ) || $law_office_columns > 1 ) {
		?>
		</div>
		<?php
	}
}
